pyOpenSSL-0.6-1.p24.7.2.2.0.i386.rpm


Advertisement

Description

pyOpenSSL - Python wrapper module around the OpenSSL library

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported i386
Package name pyOpenSSL
Package version 0.6
Package release 1.p24.7.2.2.0
Package architecture i386
Package type rpm
Installed size 513.00 KB
Download size 128.13 KB
Official Mirror springdale.math.ias.edu
High-level wrapper around a subset of the OpenSSL library, includes
* SSL.Connection objects, wrapping the methods of Python's portable
sockets
* Callbacks written in Python
* Extensive error-handling mechanism, mirroring OpenSSL's error codes
...  and much more ;)

Alternatives

Package Version Architecture Repository
pyOpenSSL-0.6-2.el5.i386.rpm 0.6 i386 CentOS
pyOpenSSL-0.6-2.el5.x86_64.rpm 0.6 x86_64 CentOS
pyOpenSSL-0.6-1.p24.7.2.2.0.x86_64.rpm 0.6 x86_64 PUIAS Unsupported
pyOpenSSL - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libcrypto.so.6 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libssl.so.6 -
python -
python(abi) = 2.4
rtld(GNU_HASH) -

Provides

Name Value
SSL.so -
crypto.so -
pyOpenSSL = 0.6-1.p24.7.2.2.0
rand.so -

Download

Type URL
Binary Package pyOpenSSL-0.6-1.p24.7.2.2.0.i386.rpm
Source Package pyOpenSSL-0.6-1.p24.7.2.2.0.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
    enabled=1
    gpgcheck=0
    
  2. Install pyOpenSSL rpm package:
    # yum install pyOpenSSL

Files

Path
/usr/lib/python2.4/site-packages/OpenSSL/SSL.so
/usr/lib/python2.4/site-packages/OpenSSL/__init__.py
/usr/lib/python2.4/site-packages/OpenSSL/__init__.pyc
/usr/lib/python2.4/site-packages/OpenSSL/__init__.pyo
/usr/lib/python2.4/site-packages/OpenSSL/crypto.so
/usr/lib/python2.4/site-packages/OpenSSL/rand.so
/usr/lib/python2.4/site-packages/OpenSSL/tsafe.py
/usr/lib/python2.4/site-packages/OpenSSL/tsafe.pyc
/usr/lib/python2.4/site-packages/OpenSSL/tsafe.pyo
/usr/lib/python2.4/site-packages/OpenSSL/version.py
/usr/lib/python2.4/site-packages/OpenSSL/version.pyc
/usr/lib/python2.4/site-packages/OpenSSL/version.pyo
/usr/share/doc/pyOpenSSL-0.6/README
/usr/share/doc/pyOpenSSL-0.6/pyOpenSSL.ps
/usr/share/doc/pyOpenSSL-0.6/pyOpenSSL.txt
/usr/share/doc/pyOpenSSL-0.6/html/

Changelog

2006-07-12 - Jesse Keating <jkeating@redhat.com> - 0.6-1.p24.7.2.2
- rebuild
2006-02-10 - Jesse Keating <jkeating@redhat.com> - 0.6-1.p24.7.2.1
- bump again for double-long bug on ppc(64)
2006-02-07 - Jesse Keating <jkeating@redhat.com> - 0.6-1.p24.7.2
- rebuilt for new gcc4.1 snapshot and glibc changes
2005-12-09 - Jesse Keating <jkeating@redhat.com>
- rebuilt
2005-11-09 - Mihai Ibanescu <misa@redhat.com> - 0.6-1.p24.7
- rebuilt against newer openssl
2005-08-24 - Jeremy Katz <katzj@redhat.com> - 0.6-1.p24.6
- add dcbw's patch to fix some threading problems
2005-08-03 - Karsten Hopp <karsten@redhat.de> 0.6-1.p24.5
- current rpm creates .pyo files, include them in filelist
2005-03-17 - Mihai Ibanescu <misa@redhat.com> 0.6-1.p24.4
- rebuilt
2005-03-14 - Mihai Ibanescu <misa@redhat.com> 0.6-1.p24.3
- rebuilt
2005-03-07 - Tomas Mraz <tmraz@redhat.com> 0.6-1.p23.2
- rebuild with openssl-0.9.7e

See Also

Package Description
python-babel-0.9.4-1.PU_IAS.5.noarch.rpm Library for internationalizing Python applications
python-bibtex-1.2.4-7.PU_IAS.5.i386.rpm Python extension to parse BibTeX files
python-configobj-4.4.0-1.el5ipa.noarch.rpm Config file reading, writing, and validation
python-docutils-0.5-3.el5.noarch.rpm A system for processing plaintext documentation
python-feedparser-4.1-3.PU_IAS.5.noarch.rpm Parse RSS and Atom feeds in Python
python-genshi-0.5.1-1.PU_IAS.5.i386.rpm Toolkit for stream-based generation of output for the web
python-jinja2-2.2.1-1.sdl5.i386.rpm General purpose template engine
python-netgroup-0.11-1.PU_IAS.1.i386.rpm Python modules for querying netgroup information
python-nose-0.10.3-1.PU_IAS.5.noarch.rpm A discovery-based unittest extension for Python
python-plink-1.1-1.PU_IAS.5.noarch.rpm plink
python-pygments-0.9-2.PU_IAS.5.noarch.rpm A syntax highlighting engine written in Python
python-reportlab-2.1-4.PU_IAS.5.noarch.rpm Python PDF generation library
python-reportlab-docs-2.1-4.PU_IAS.5.noarch.rpm Documentation files for python-reportlab
python-setuptools-0.6c7-1.PU_IAS.5.noarch.rpm Download, build, install, upgrade, and uninstall Python packages
python-simplejson-2.0.3-2.PU_IAS.5.i386.rpm Simple, fast, extensible JSON encoder/decoder for Python
Advertisement
Advertisement